#!/bin/sh
#
#-------------------------------------------------------#
# This file is Juju managed - do not make local changes #
#-------------------------------------------------------#
#
# Copyright 2020 Canonical Ltd.
#

set -eu

role=$1 ; shift
keyfile=$1 ; shift
downstream="$@"

for host in $downstream; do
    echo Triggering $host ...
    timeout 1m ssh -i "${keyfile}" $host sync-${role} &
done

echo Waiting for triggers to complete ...
wait
echo All triggers exited.  All done.
